/* forms */
input[type=text]::selection,
input[type=text]::-moz-selection,
input[type=password]::selection,
input[type=password]::-moz-selection,
input[type=email]::selection,
input[type=email]::-moz-selection,
input[type=tel]::selection,
input[type=tel]::-moz-selection {
    background-color: var(--pi-color-primary);
    color: var(--pi-color-universal-white);
}

label.pi-register-label {
    color: var(--pi-color-universal-dark);
}

.container-checkbox {
    display: flex;
    align-items: center;
    position: relative;
    padding-left: 25px;
    margin-bottom: 7px;
    cursor: pointer;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}
.container-radio {
    display: block;
    position: relative;
    padding-left: 25px;
    margin-bottom: 7px;
    cursor: pointer;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}

/* Hide the browser's default checkbox and radio button */
.container-checkbox input[type=checkbox],
.container-radio input[type=radio] {
    position: absolute;
    opacity: 0;
    cursor: pointer;
    height: 0;
    width: 0;
}

/* Create a custom checkbox */
.checkmark {
    position: absolute;
    top: 6px;
    left: 0;
    height: 16px;
    width: 16px;
    background-color: var(--pi-color-universal-white);
    border: 1px solid var(--pi-color-universal-white);
    border-radius: 2px;
    box-shadow: 0 0 0 2px var(--pi-color-secondary);
}

/* On mouse-over, add a grey background color */
.container-checkbox:hover > .checkmark {
    background-color: var(--pi-color-secondary-hover);
}

/* When the checkbox is checked, add a blue background */
.container-checkbox input[type=checkbox]:checked ~ .checkmark {
    background-color: var(--pi-color-primary);
    box-shadow: 0 0 0 2px #2780CD;
}

/* Create the checkmark/indicator (hidden when not checked) */
.checkmark:after {
    content: "";
    position: absolute;
    display: none;
}

/* Show the checkmark when checked */
.container-checkbox input[type=checkbox]:checked ~ .checkmark:after {
    display: block;
}

/* Style the checkmark/indicator */
.container-checkbox .checkmark:after {
    left: 5px;
    top: 0px;
    width: 7px;
    height: 13px;
    border: solid white;
    border-width: 0 3px 3px 0;
    -webkit-transform: rotate(45deg);
    -ms-transform: rotate(45deg);
    transform: rotate(45deg);
}
/* Create a custom radio */
.radiomark {
    position: absolute;
    top: 6px;
    left: 0;
    height: 16px;
    width: 16px;
    background-color: var(--pi-color-universal-white);
    border: 2px solid var(--pi-color-universal-white);
    border-radius: 50%;
    box-shadow: 0 0 0 2px var(--pi-color-secondary);
}

/* On mouse-over, add a grey background color */
.container-radio:hover > .radiomark {
    background-color: var(--pi-color-secondary-hover);
}

/* When the radio is checked, add a blue background */
.container-radio input[type=radio]:checked ~ .radiomark {
    background-color: var(--pi-color-universal-white);
    box-shadow: 0 0 0 2px var(--pi-color-primary);
}

/* Create the radiomark/indicator (hidden when not checked) */
.radiomark:after {
    content: "";
    position: absolute;
    display: none;
}

/* Show the radiomark when checked */
.container-radio input[type=radio]:checked ~ .radiomark:after {
    display: block;
}

/* Style the radiomark/indicator */
.container-radio .radiomark:after {
    top: 0;
    left: 0;
    width: 12px;
    height: 12px;
    border-radius: 50%;
    background: var(--pi-color-primary);
}

.form-check {
    padding-left: unset;
}

.form-check {
    padding-left: unset;
}

.pi-search-opportunity-title {
    font-family: 'ProximaNova', sans-serif !important;
    font-weight: 300 !important;
    color: var(--pi-color-universal-black);
}

.pi-filter-title {
    font-weight: 300 !important;
    line-height: normal;
}

.pi-read-more-content {
    display: none;
    transition: all 250ms ease-in-out;   
}

.pi-read-more-content.pi-read-more-content-expanded {
    display: block;
}

.pi-read-more-btn {
    font-size: .9rem;
    line-height: normal;
    font-family: "Proxima Nova", sans-serif;
    color: var(--pi-color-primary);
}

.pi-read-more-btn:hover{
    cursor: pointer;
}

/** File upload btn **/
input[type=file] {
    padding-left: 0;
}
input[type=file]::file-selector-button {
    padding: 10px;
    color: var(--pi-color-universal-white);
    border-radius: 6px;
    background-color: var(--pi-color-primary);
    transition: 250ms;
    border: 0;
    margin-left: 0;
}

input[type=file]::file-selector-button:hover {
    background-color: var(--pi-color-primary-hover);
}